API Reference / Predefined Action Groups
/predefined_action_groups Create a new predefined action group
Creates a predefined action group. text is required and action_ids must list at least two existing, currently ungrouped predefined actions. Names longer than 127 characters are truncated on save.
Request body
textstringName of the predefined action group
positionintegerint32Position of the group in the list of predefined action groups
action_idsarray<string>List of IDs of the predefined actions in the predefined action group
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
predefined_action_groupobjectA grouping of predefined actions. Useful if actions can be assigned together as part of a workflow.
object fields →
idstringbson-idID of the predefined action group
textstringName of the predefined action group
positionintegerint32Position of the group in the list of predefined action groups
action_idsarray<string>List of IDs of the predefined actions in the predefined action group
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.